Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.resource
Class Icons

    java.lang.Object
      edu.stanford.smi.protege.resource.Icons

    public final class Icons

extends Object

Utility class for accessing icons stored in the Protege jar.

Author:
  Ray Fergerson

Constructor Summary
`Icons()`

Method Summary
`static Icon` | `getAddClsIcon()`
`static Icon` | `getAddIcon()`
`static Icon` | `getAddInstanceIcon()`
`static Icon` | `getAddQueryLibraryIcon()`
`static Icon` | `getAddSlotIcon()`
`static Icon` | `getArchiveProjectIcon()`
`static Icon` | `getArchiveProjectIcon(boolean large, boolean disabled)`
`static Icon` | `getBackIcon()`
`static Icon` | `getBlankIcon()`
`static Icon` | `getCancelIcon()`
`static Icon` | `getCascadeWindowsIcon()`
`static Icon` | `getCascadeWindowsIcon(boolean large, boolean disabled)`
`static Icon` | `getClearIcon(boolean large, boolean disabled)`
`static Icon` | `getCloseAllWindowsIcon()`
`static Icon` | `getCloseAllWindowsIcon(boolean large, boolean disabled)`
`static Icon` | `getCloseIcon()`
`static Icon` | `getClsAndInstanceIcon()`
`static Icon` | `getClsesAndInstancesIcon()`
`static Icon` | `getClsesIcon()`
`static Icon` | `getClsHideNoteIcon()`
`static Icon` | `getClsIcon()`
`static Icon` | `getClsIcon(boolean metaclass, boolean isAbstract, boolean readonly, boolean isHidden)`
`static Image` | `getClsImage()`
`static Icon` | `getClsNoteIcon()`
`static Icon` | `getConfigureIcon()`
`static Icon` | `getCopyIcon()`
`static Icon` | `getCopyIcon(boolean large, boolean disabled)`
`static Icon` | `getCopyQueryIcon()`
`static Icon` | `getCreateClsIcon()`
`static Icon` | `getCreateClsNoteIcon()`
`static Icon` | `getCreateIcon()`
`static Icon` | `getCreateInstanceIcon()`
`static Icon` | `getCreateInstanceNoteIcon()`
`static Icon` | `getCreateSlotIcon()`
`static Icon` | `getCreateSlotNoteIcon()`
`static Icon` | `getCutIcon()`
`static Icon` | `getCutIcon(boolean large, boolean disabled)`
`static Icon` | `getDeleteClsIcon()`
`static Icon` | `getDeleteClsNoteIcon()`
`static Icon` | `getDeleteIcon()`
`static Icon` | `getDeleteInstanceIcon()`
`static Icon` | `getDeleteInstanceNoteIcon()`
`static Icon` | `getDeleteQueryIcon()`
`static Icon` | `getDeleteSlotIcon()`
`static Icon` | `getDeleteSlotNoteIcon()`
`static Icon` | `getDownIcon()`
`static Icon` | `getExportIcon()`
`static Icon` | `getFacetIcon()`
`static Icon` | `getFacetIcon(boolean readonly, boolean hidden)`
`static Image` | `getFacetImage()`
`static Icon` | `getFacetsIcon()`
`static Icon` | `getFindClsIcon()`
`static Icon` | `getFindFormIcon()`
`static Icon` | `getFindIcon()`
`static Icon` | `getFindInstanceIcon()`
`static Icon` | `getFindSlotIcon()`
`static Icon` | `getFormIcon()`
`static Icon` | `getFormIcon(boolean customized)`
`static Icon` | `getForwardIcon()`
`static Icon` | `getHierarchyCollapsedIcon()`
`static Icon` | `getHierarchyExpandedIcon()`
`static Icon` | `getHomeIcon()`
`static Icon` | `getIcon(ResourceKey key)`
`static Icon` | `getInstanceCopyIcon()`
`static Icon` | `getInstanceHideNoteIcon()`
`static Icon` | `getInstanceIcon()`
`static Icon` | `getInstanceIcon(boolean readonly, boolean isHidden)`
`static Image` | `getInstanceImage()`
`static Icon` | `getInstanceNoteIcon()`
`static Icon` | `getInstancesIcon()`
`static Icon` | `getLayoutLikeOtherFormIcon()`
`static Icon` | `getLogo()`
`static Icon` | `getLogoBannerIcon()`
`static Icon` | `getLogoIcon()`
`static Icon` | `getLogoSplashIcon()`
`static Icon` | `getNewProjectIcon()`
`static Icon` | `getNewProjectIcon(boolean large, boolean disabled)`
`static Icon` | `getNoIcon()`
`static Icon` | `getOkIcon()`
`static Icon` | `getOpenProjectIcon()`
`static Icon` | `getOpenProjectIcon(boolean large, boolean disabled)`
`static Icon` | `getPasteIcon()`
`static Icon` | `getPasteIcon(boolean large, boolean disabled)`
`static Icon` | `getProjectIcon()`
`static Icon` | `getProjectIcon(boolean readonly, boolean hidden)`
`static Icon` | `getQueryExportIcon()`
`static Icon` | `getQueryIcon()`
`static Icon` | `getRedoIcon()`
`static Icon` | `getRedoIcon(boolean large, boolean disabled)`
`static Icon` | `getRelayoutIcon()`
`static Icon` | `getRemoveClsIcon()`
`static Icon` | `getRemoveCustomizationsIcon()`
`static Icon` | `getRemoveIcon()`
`static Icon` | `getRemoveInstanceIcon()`
`static Icon` | `getRemoveSlotIcon()`
`static Icon` | `getRemoveSlotOverrideIcon()`
`static Icon` | `getRetrieveQueryLibraryIcon()`
`static Icon` | `getRevertProjectIcon()`
`static Icon` | `getRevertProjectIcon(boolean large, boolean disabled)`
`static Icon` | `getSaveProjectIcon()`
`static Icon` | `getSaveProjectIcon(boolean large, boolean disabled)`
`static Icon` | `getSelectProjectIcon()`
`static Icon` | `getSlotHideNoteIcon()`
`static Icon` | `getSlotIcon()`
`static Icon` | `getSlotIcon(boolean inherited, boolean overridden, boolean readonly, boolean isHidden)`
`static Image` | `getSlotImage()`
`static Icon` | `getSlotNoteIcon()`
`static Icon` | `getSlotsIcon()`
`static Icon` | `getUglyIcon()`
`static Icon` | `getUndoIcon()`
`static Icon` | `getUndoIcon(boolean large, boolean disabled)`
`static Icon` | `getUpIcon()`
`static Icon` | `getViewClsIcon()`
`static Icon` | `getViewClsReferencersIcon()`
`static Icon` | `getViewFormIcon()`
`static Icon` | `getViewIcon()`
`static Icon` | `getViewInstanceIcon()`
`static Icon` | `getViewInstanceReferencersIcon()`
`static Icon` | `getViewQueryIcon()`
`static Icon` | `getViewSlotAtClassIcon()`
`static Icon` | `getViewSlotIcon()`
`static Icon` | `getYesIcon()`
`static Icon` | `lookupActionIcon(ResourceKey key, boolean large, boolean disabled)`
`static Icon` | `lookupIcon(ResourceKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Icons

    public Icons()

Method Detail

### lookupIcon

    public static Icon lookupIcon(ResourceKey key)

### lookupActionIcon

    public static Icon lookupActionIcon(ResourceKey key,
                                        boolean large,
                                        boolean disabled)

### getIcon

    public static Icon getIcon(ResourceKey key)

### getClsesIcon

    public static Icon getClsesIcon()

### getSlotsIcon

    public static Icon getSlotsIcon()

### getInstancesIcon

    public static Icon getInstancesIcon()

### getFacetsIcon

    public static Icon getFacetsIcon()

### getClsImage

    public static Image getClsImage()

### getSlotImage

    public static Image getSlotImage()

### getFacetImage

    public static Image getFacetImage()

### getInstanceImage

    public static Image getInstanceImage()

### getClsesAndInstancesIcon

    public static Icon getClsesAndInstancesIcon()

### getHierarchyExpandedIcon

    public static Icon getHierarchyExpandedIcon()

### getHierarchyCollapsedIcon

    public static Icon getHierarchyCollapsedIcon()

### getConfigureIcon

    public static Icon getConfigureIcon()

### getLogo

    public static Icon getLogo()

### getAddClsIcon

    public static Icon getAddClsIcon()

### getAddInstanceIcon

    public static Icon getAddInstanceIcon()

### getAddSlotIcon

    public static Icon getAddSlotIcon()

### getAddIcon

    public static Icon getAddIcon()

### getArchiveProjectIcon

    public static Icon getArchiveProjectIcon()

### getArchiveProjectIcon

    public static Icon getArchiveProjectIcon(boolean large,
                                             boolean disabled)

### getBackIcon

    public static Icon getBackIcon()

### getBlankIcon

    public static Icon getBlankIcon()

### getCancelIcon

    public static Icon getCancelIcon()

### getCascadeWindowsIcon

    public static Icon getCascadeWindowsIcon()

### getCascadeWindowsIcon

    public static Icon getCascadeWindowsIcon(boolean large,
                                             boolean disabled)

### getCloseAllWindowsIcon

    public static Icon getCloseAllWindowsIcon()

### getCloseAllWindowsIcon

    public static Icon getCloseAllWindowsIcon(boolean large,
                                              boolean disabled)

### getCloseIcon

    public static Icon getCloseIcon()

### getClsAndInstanceIcon

    public static Icon getClsAndInstanceIcon()

### getClsIcon

    public static Icon getClsIcon()

### getClsIcon

    public static Icon getClsIcon(boolean metaclass,
                                  boolean isAbstract,
                                  boolean readonly,
                                  boolean isHidden)

### getInstanceCopyIcon

    public static Icon getInstanceCopyIcon()

### getSlotHideNoteIcon

    public static Icon getSlotHideNoteIcon()

### getInstanceHideNoteIcon

    public static Icon getInstanceHideNoteIcon()

### getClsHideNoteIcon

    public static Icon getClsHideNoteIcon()

### getInstanceNoteIcon

    public static Icon getInstanceNoteIcon()

### getClsNoteIcon

    public static Icon getClsNoteIcon()

### getSlotNoteIcon

    public static Icon getSlotNoteIcon()

### getCreateIcon

    public static Icon getCreateIcon()

### getCreateClsIcon

    public static Icon getCreateClsIcon()

### getCreateInstanceIcon

    public static Icon getCreateInstanceIcon()

### getCreateSlotIcon

    public static Icon getCreateSlotIcon()

### getCreateClsNoteIcon

    public static Icon getCreateClsNoteIcon()

### getCreateInstanceNoteIcon

    public static Icon getCreateInstanceNoteIcon()

### getDeleteIcon

    public static Icon getDeleteIcon()

### getDeleteClsIcon

    public static Icon getDeleteClsIcon()

### getDeleteInstanceIcon

    public static Icon getDeleteInstanceIcon()

### getDeleteSlotIcon

    public static Icon getDeleteSlotIcon()

### getDeleteClsNoteIcon

    public static Icon getDeleteClsNoteIcon()

### getCreateSlotNoteIcon

    public static Icon getCreateSlotNoteIcon()

### getDeleteSlotNoteIcon

    public static Icon getDeleteSlotNoteIcon()

### getDeleteInstanceNoteIcon

    public static Icon getDeleteInstanceNoteIcon()

### getDownIcon

    public static Icon getDownIcon()

### getFacetIcon

    public static Icon getFacetIcon()

### getFacetIcon

    public static Icon getFacetIcon(boolean readonly,
                                    boolean hidden)

### getFindIcon

    public static Icon getFindIcon()

### getFindClsIcon

    public static Icon getFindClsIcon()

### getFindInstanceIcon

    public static Icon getFindInstanceIcon()

### getFindFormIcon

    public static Icon getFindFormIcon()

### getFindSlotIcon

    public static Icon getFindSlotIcon()

### getFormIcon

    public static Icon getFormIcon()

### getFormIcon

    public static Icon getFormIcon(boolean customized)

### getForwardIcon

    public static Icon getForwardIcon()

### getHomeIcon

    public static Icon getHomeIcon()

### getInstanceIcon

    public static Icon getInstanceIcon()

### getInstanceIcon

    public static Icon getInstanceIcon(boolean readonly,
                                       boolean isHidden)

### getLayoutLikeOtherFormIcon

    public static Icon getLayoutLikeOtherFormIcon()

### getLogoIcon

    public static Icon getLogoIcon()

### getNewProjectIcon

    public static Icon getNewProjectIcon()

### getNewProjectIcon

    public static Icon getNewProjectIcon(boolean large,
                                         boolean disabled)

### getCutIcon

    public static Icon getCutIcon()

### getCutIcon

    public static Icon getCutIcon(boolean large,
                                  boolean disabled)

### getCopyIcon

    public static Icon getCopyIcon()

### getCopyIcon

    public static Icon getCopyIcon(boolean large,
                                   boolean disabled)

### getPasteIcon

    public static Icon getPasteIcon()

### getPasteIcon

    public static Icon getPasteIcon(boolean large,
                                    boolean disabled)

### getClearIcon

    public static Icon getClearIcon(boolean large,
                                    boolean disabled)

### getNoIcon

    public static Icon getNoIcon()

### getOkIcon

    public static Icon getOkIcon()

### getOpenProjectIcon

    public static Icon getOpenProjectIcon()

### getOpenProjectIcon

    public static Icon getOpenProjectIcon(boolean large,
                                          boolean disabled)

### getProjectIcon

    public static Icon getProjectIcon()

### getSelectProjectIcon

    public static Icon getSelectProjectIcon()

### getProjectIcon

    public static Icon getProjectIcon(boolean readonly,
                                      boolean hidden)

### getQueryIcon

    public static Icon getQueryIcon()

### getCopyQueryIcon

    public static Icon getCopyQueryIcon()

### getDeleteQueryIcon

    public static Icon getDeleteQueryIcon()

### getViewQueryIcon

    public static Icon getViewQueryIcon()

### getAddQueryLibraryIcon

    public static Icon getAddQueryLibraryIcon()

### getRetrieveQueryLibraryIcon

    public static Icon getRetrieveQueryLibraryIcon()

### getRedoIcon

    public static Icon getRedoIcon()

### getRedoIcon

    public static Icon getRedoIcon(boolean large,
                                   boolean disabled)

### getRelayoutIcon

    public static Icon getRelayoutIcon()

### getRemoveCustomizationsIcon

    public static Icon getRemoveCustomizationsIcon()

### getRemoveIcon

    public static Icon getRemoveIcon()

### getRemoveClsIcon

    public static Icon getRemoveClsIcon()

### getRemoveInstanceIcon

    public static Icon getRemoveInstanceIcon()

### getRemoveSlotIcon

    public static Icon getRemoveSlotIcon()

### getRemoveSlotOverrideIcon

    public static Icon getRemoveSlotOverrideIcon()

### getRevertProjectIcon

    public static Icon getRevertProjectIcon()

### getRevertProjectIcon

    public static Icon getRevertProjectIcon(boolean large,
                                            boolean disabled)

### getSaveProjectIcon

    public static Icon getSaveProjectIcon(boolean large,
                                          boolean disabled)

### getSaveProjectIcon

    public static Icon getSaveProjectIcon()

### getSlotIcon

    public static Icon getSlotIcon()

### getSlotIcon

    public static Icon getSlotIcon(boolean inherited,
                                   boolean overridden,
                                   boolean readonly,
                                   boolean isHidden)

### getLogoSplashIcon

    public static Icon getLogoSplashIcon()

### getLogoBannerIcon

    public static Icon getLogoBannerIcon()

### getUglyIcon

    public static Icon getUglyIcon()

### getUndoIcon

    public static Icon getUndoIcon(boolean large,
                                   boolean disabled)

### getUndoIcon

    public static Icon getUndoIcon()

### getUpIcon

    public static Icon getUpIcon()

### getViewIcon

    public static Icon getViewIcon()

### getViewClsIcon

    public static Icon getViewClsIcon()

### getViewInstanceIcon

    public static Icon getViewInstanceIcon()

### getViewClsReferencersIcon

    public static Icon getViewClsReferencersIcon()

### getViewInstanceReferencersIcon

    public static Icon getViewInstanceReferencersIcon()

### getViewSlotAtClassIcon

    public static Icon getViewSlotAtClassIcon()

### getViewSlotIcon

    public static Icon getViewSlotIcon()

### getViewFormIcon

    public static Icon getViewFormIcon()

### getYesIcon

    public static Icon getYesIcon()

### getQueryExportIcon

    public static Icon getQueryExportIcon()

### getExportIcon

    public static Icon getExportIcon()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.